[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomScrollBar.WSRegisterClass

Registers the widgetset class created for new instances of the control.

## Declaration

Source position: stdctrls.pp line 92

`protected class procedure TCustomScrollBar.WSRegisterClass; override;`

## Description

WSRegisterClass is an overridden procedure used to register the widgetset class instance created for new instances of the control. WSRegisterClass calls the inherited method, and calls RegisterCustomScrollBar for the widgetset.

## See also

TLCLComponent.WSRegisterClass |  | Registers this component class with the current WidgetSet.